summaryrefslogtreecommitdiff
path: root/contrib/scripts
diff options
context:
space:
mode:
authorWalter Doekes <walter+asterisk@wjd.nu>2014-09-26 14:41:38 +0000
committerWalter Doekes <walter+asterisk@wjd.nu>2014-09-26 14:41:38 +0000
commit37179a2b1f0a12e063a2bb300e402ac5e7512569 (patch)
tree74872dbb405e8ef55370be0afe6bae8947a616da /contrib/scripts
parentb8c1130ed172e478d7eaccbf9ba2913aaf36b260 (diff)
core: Don't allow free to mean ast_free (and malloc, etc..).
This gets rid of most old libc free/malloc/realloc and replaces them with ast_free and friends. When compiling with MALLOC_DEBUG you'll notice it when you're mistakenly using one of the libc variants. For the legacy cases you can define WRAP_LIBC_MALLOC before including asterisk.h. Even better would be if the errors were also enabled when compiling without MALLOC_DEBUG, but that's a slightly more invasive header file change. Those compiling addons/format_mp3 will need to rerun ./contrib/scripts/get_mp3_source.sh. ASTERISK-24348 #related Review: https://reviewboard.asterisk.org/r/4015/ git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@423978 65c4cc65-6c06-0410-ace0-fbb531ad65f3
Diffstat (limited to 'contrib/scripts')
-rwxr-xr-xcontrib/scripts/get_mp3_source.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/contrib/scripts/get_mp3_source.sh b/contrib/scripts/get_mp3_source.sh
index 5c4e76a89..e1ee13bbd 100755
--- a/contrib/scripts/get_mp3_source.sh
+++ b/contrib/scripts/get_mp3_source.sh
@@ -6,9 +6,19 @@ if [ -f addons/mp3/mpg123.h ]; then
echo "need to be downloaded."
echo "***"
+ # Manually patch interface.c if not done yet.
+ if ! grep -q WRAP_LIBC_MALLOC addons/mp3/interface.c; then
+ sed -i -e '/#include "asterisk.h"/i#define WRAP_LIBC_MALLOC' \
+ addons/mp3/interface.c
+ fi
+
exit 1
fi
svn export http://svn.digium.com/svn/thirdparty/mp3/trunk addons/mp3 $@
+# Manually patch interface.c.
+sed -i -e '/#include "asterisk.h"/i#define WRAP_LIBC_MALLOC' \
+ addons/mp3/interface.c
+
exit 0